%global svn_rev 523
%global apiver 47
%global svndate 20060523
%global momorel 2

Name: x264
Version: 0.0.%{svn_rev}
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
Summary: Library for encoding and decoding H264/AVC video streams
%NoSource 0 ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{svndate}-2245.tar.bz2 55481c08178b1c7ceca9e1ab981f2a69
URL: http://www.videolan.org/x264.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel, nasm, yasm
# version.sh requires svnversion
BuildRequires: subversion
AutoProv: 1
AutoReq: 1

%description
x264 is a free library for encoding H264/AVC video streams, written from scratch.

%package devel
Group: Applications/Multimedia
Summary: Development files for the x264 library
AutoProv: 1
AutoReq: 1
Requires: %{name} = %{version}
%description devel
The vlan h.264/avc encoder development files

%prep
%setup -q -n %{name}-snapshot-%{svndate}-2245
# AUTHORS file is in iso-8859-1
iconv -f iso-8859-1 -t utf-8 -o AUTHORS.utf8 AUTHORS
mv -f AUTHORS.utf8 AUTHORS
# configure hardcodes X11 lib path
%{__perl} -pi -e 's|/usr/X11R6/lib |/usr/X11R6/%{_lib} |g' configure

%build
%configure \
    --enable-pthread \
%if 0
    --enable-visualize \
%endif
    --enable-debug \
    --enable-shared \
    --extra-cflags="%{optflags}"
# Notice
# disable visualize since this causes runtime error in ffmpeg which is built with x264 support
# TODO: (needs to import gpac)
#    --enable-mp4-output
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

# fix symlink
pushd %{buildroot}%{_libdir}
rm libx264.so
ln -s libx264.so.%{apiver} libx264.so
popd

# remove
rm -rf doc/.svn

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING doc
%{_bindir}/x264
%{_libdir}/libx264.so.*

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/libx264.a
%{_libdir}/libx264.so
%{_libdir}/pkgconfig/x264.pc
%{_includedir}/x264.h

%changelog
* Wed May 24 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.523-2m)
- disabled visualize since ffmpeg(libavcodec) built with x264 support causes a runtime error if x264 is built with "--enable-visualize". This option also make it impossible to build mplayer with x264 support
- update to snapshot 20060523

* Fri May 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.523-1m)
- update to rev. 523 (snapshot 20060517 at videolan.org)

* Wed Apr 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.502-1m)
- update to svn rev. 502
- delete TODO from %%doc

* Sun Feb 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.440-1m)
- update to svn rev. 440
- delete xorg-x11-devel from BuildRequires
- add %%{_libdir}/pkgconfig/x264.pc to devel files section

* Thu Nov 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.352-1m)
- update to svn rev. 352

* Fri Oct 28 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.342-1m)
- update to svn rev. 342

* Sun Oct 16 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.333-1m)
- update to svn rev. 333

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.330-1m)
- update to svn rev. 330

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.328-1m)
- update to svn rev. 328

* Mon Oct 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.326-1m)
- update to svn rev. 326

* Sun Sep 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.293-1m)
- update to svn rev. 293
- add %%configure and iconv for AUTHORS file
- add yasm build requirement (needed on x86_64).
- Replace X11 lib with lib/lib64 to fix x86_64 build.
  < http://dries.studentenweb.org/rpm/packages/x264/x264-spec.html
  
- (0.0.237-1m)
- update to svn rev. 237 (can not compile version by config.mak)
- add BuildRequires: subversion for version.sh using `svnversion .'

* Mon May 23 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.235-1m)
- update to svn rev. 235 (can not compile version by config.mak)

* Sat May 21 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.234-1m)
- update to svn rev. 234

* Sat May 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.220-1m)
- import to Momonga from http://apt.oldconomy.com/SRPMS.oc/x264-svn_20050319-1.oc.src.rpm
